package cn.iocoder.yudao.module.wealth.dal.mysql.receiptItem;

import cn.iocoder.yudao.module.wealth.vo.receiptItem.BankIncomeItemReq;
import cn.iocoder.yudao.module.wealth.vo.receiptItem.BankIncomeItemResp;
import cn.iocoder.yudao.module.wealth.vo.receiptItem.ReceiptItemReq;
import cn.iocoder.yudao.module.wealth.vo.receiptItem.ReceiptItemRespVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

@Mapper
public interface BankReceiptDetailsMapper {
    List<ReceiptItemRespVO> getBankReceiptDetailsList(ReceiptItemReq req);

    long GetCount(ReceiptItemReq req);

    void getBankIncomeItemPage(IPage<BankIncomeItemResp> page, @Param("req") BankIncomeItemReq req);

    BigDecimal calculateAccountBalance(String accountNo);
}
